Last Comment Bug 3941 - Charset Handling - Need a charset manager service
: Charset Handling - Need a charset manager service
Status: RESOLVED FIXED
rev'd by naoki, ready to go in
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: M13
Assigned To: cata
: nhottanscp
Mentors:
Depends on:
Blocks: 11091
  Show dependency treegraph
 
Reported: 1999-03-17 17:26 PST by nhottanscp
Modified: 2008-07-31 01:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description nhottanscp 1999-03-17 17:26:02 PST
Need a charset manager service to map charset to mail charset (e.g. Shift_JIS to
ISO-2022-JP).
In addition to the mapping, the service should provide the MIME encoding type
('B' or 'Q') for the mail charset.
They are necessary for sending Japanese mail.
Comment 1 bobj 1999-03-24 17:49:59 PST
Naoki wrote in email:
  This is needed for M4 to send mail. We need at least an interface.
  We may use some hard coded values for the implementation for now.
Comment 2 bobj 1999-04-06 10:10:59 PDT
Hardcoded workaround for M4.  Fix this for M5.
Comment 3 bobj 1999-04-21 15:49:59 PDT
Moved to M6 to give Cata time to assist Nisheeth on external DTD support
in the XML parser.
Comment 4 bobj 1999-04-21 15:52:59 PDT
nhotta wrote:
  This issue is related to header sending only. Send body won't be
  affected, viewing should work for other charsets, just to clarify.
Comment 5 cata 1999-07-27 13:10:59 PDT
Will implement after coming back from vacation, as an extensibility application.
Comment 6 cata 1999-08-31 16:18:59 PDT
This is part of the extensibility work scheduled for M11. I don't know why this
was still marked M10...
Comment 7 lchiang 1999-09-20 15:30:59 PDT
(target milestone is M11 or M12 - add to mail beta tracking bug)
Comment 8 bobj 2000-01-07 11:27:59 PST
nhotta,
cata says most of the code is already done and to add the mailcharset
mapping, he just needs to add a stringbundle.  Please work with cata
to nail down the specifics.
Comment 9 nhottanscp 2000-01-13 16:21:59 PST
Interfaces I need,

// return charset name
string MIMEMailCharset(in string charset);
// return MIME header encoding method (e.g. "B", "Q")
string MIMEHeaderEncodingMethod(in string charset);
Comment 10 cata 2000-01-14 17:50:59 PST
It's done. Finally.
Comment 11 cata 2000-01-14 17:50:59 PST
Fixed.
Comment 12 Katsuhiko Momoi 2000-01-26 12:30:13 PST
Naoki. This looks like somthing you should be verifying.
Sending it your way.

Note You need to log in before you can comment on or make changes to this bug.